RubyGems Navigation menu

pg 0.18.0.pre20140820094244

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 9.0 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

Versions:

  1. 0.19.0 - September 22, 2016 x86-mingw32 (1.52 MB)
  2. 0.19.0 - September 22, 2016 x64-mingw32 (1.72 MB)
  3. 0.19.0 - September 22, 2016 (224 KB)
  4. 0.19.0.pre20160904200247 - September 4, 2016 x86-mingw32 (1.52 MB)
  5. 0.19.0.pre20160904200247 - September 4, 2016 x64-mingw32 (1.72 MB)
Show all versions (110 total)

Authors:

  • Michael Granger, Lars Kanis

Owners:

Feef2024584d97a97338b964661ca795Abc11c007a3a284272d261b2dae6376e04cdb622ce0aac272b61f23f373e2abf

SHA 256 checksum:

6d2e079637c9f7a09b8b2f46222683d8da7d5e6497d7814a2b617a55287eb6f2

Total downloads 29,462,023

For this version 1,683

Gemfile:
= Copy to clipboard Copied!

install:
=

Licenses:

BSD, Ruby, GPL

Required Ruby Version: >= 1.9.3

Required Rubygems Version: > 1.3.1

Links: